Lists.Value (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class Lists.Value

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Term.MultiItemTerminal
    - - org.apache.cassandra.cql3.Lists.Value

- All Implemented Interfaces:
    Term
  Enclosing class:
    Lists

      public static class Lists.Value
      extends Term.MultiItemTerminal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.nio.ByteBuffer>` | `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lists.Value(java.util.List<java.nio.ByteBuffer> elements)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(ListType lt, Lists.Value v)`
    `static Lists.Value` | `fromSerialized(java.nio.ByteBuffer value, ListType type, int version)`
    `java.nio.ByteBuffer` | `get(QueryOptions options)`
    `java.util.List<java.nio.ByteBuffer>` | `getElements()`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

      `bind, bindAndGet, collectMarkerSpecification, containsBindMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elements

          public final java.util.List<java.nio.ByteBuffer> elements

  - ### Constructor Detail

    - #### Lists.Value

          public Lists.Value(java.util.List<java.nio.ByteBuffer> elements)

  - ### Method Detail

    - #### fromSerialized

          public static Lists.Value fromSerialized(java.nio.ByteBuffer value,
                                   ListType type,
                                   int version)
                                            throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### get

          public java.nio.ByteBuffer get(QueryOptions options)

      Specified by:
        `get` in class `Term.Terminal`
      Returns:
        the serialized value of this terminal.

    - #### equals

          public boolean equals(ListType lt,
                       Lists.Value v)

    - #### getElements

          public java.util.List<java.nio.ByteBuffer> getElements()

      Specified by:
        `getElements` in class `Term.MultiItemTerminal`

Copyright © 2014 The Apache Software Foundation